/* 🔥 FORMULÁRIO MODERNO - IABA BrazilCustomer */

.form-create-account {
    display: grid;
    padding: 30px;
    background: #ffffff;
    border-radius: 12px;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.05);
}


.form-create-account .fieldset {
    margin-bottom: 35px;
    padding: 25px;
    background: #f9f9f9;
    border-radius: 12px;
    border: 1px solid #e5e7eb;
    box-shadow: unset;
}

/* GRID 2 COLUNAS */
.form-create-account .fieldset .field.field-name-firstname,
.form-create-account .fieldset .field.number,
.form-create-account .fieldset .field.city,
.form-create-account .fieldset .field.password {
    float: left;
    width: 49%;
}

.form-create-account .fieldset .field.field-name-lastname,
.form-create-account .fieldset .field.complement,
.form-create-account .fieldset .field.region,
.form-create-account .fieldset .field.confirmation {
    float: right;
    width: 49%;
}


/* BOTÕES */
.form-create-account .actions-toolbar {
    display: flex;
    width: 100%;
}

.form-create-account .actions-toolbar .primary {
    flex: 1;
}

.form-create-account .actions-toolbar .primary .action.submit {
    width: 100%;
    height: 60px;
    border-radius: 12px;
}



.form-create-account .actions-toolbar .secondary .action.back:hover {
    text-decoration: underline;
}

.fieldset.additional_info {
    display: none;
}

.form-create-account .fieldset.create.account:after {
    display: none;
}


@media all and (max-width: 768px) {
    /* GRID 2 COLUNAS */
    .form-create-account .fieldset .field.field-name-firstname,
    .form-create-account .fieldset .field.number,
    .form-create-account .fieldset .field.city,
    .form-create-account .fieldset .field.password {
        float: left;
        width: 100%;
    }

    .form-create-account .fieldset .field.field-name-lastname,
    .form-create-account .fieldset .field.complement,
    .form-create-account .fieldset .field.region,
    .form-create-account .fieldset .field.confirmation {
        float: left;
        width: 100%;
    }

}



.new-shipping-address-modal .modal-inner-wrap {
    -ms-flex-direction: column;
    box-sizing: border-box;
    position: absolute;
    right: 0;
    transition: transform .2s ease;
    margin: auto !important;
    margin-top: 3% !important;
    width: 35% !important;
    height: fit-content !important;
    left: 0% !important;
    padding-left: 0px !important;
    justify-content: center;
}

.new-shipping-address-modal .field  {
    width: 100% !important;
}

.new-shipping-address-modal .field.street .label {
    position: static !important;
    width: auto !important;
    height: auto !important;
    margin: 0 !important;
    clip: auto !important;
    overflow: visible !important;
}


#assistance_allowed_checkbox {
    display: none;
}

.fieldset.create.account .field.choice {
    float: left;
    width: 100%;
}
